LFR-FSW - Bug #806

Analyse Logiscope LFR_3.1.0.4 : Tr_ParenArg Severity is High
19/10/2016 02:25 PM - William Recart

Status: Closed Start date: 19/10/2016
Priority: Low Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Rappel de la regle :

Tr_ParenArg

Definition:

Each occurrence of the macro parameters shall be enclosed in parenthesis
(or brackets) inside the macro definition.

Example:

// do not write
#define GET_NAME(obj,ind) obj->namel[ind]

/] write
#define GET_NAME(obj,ind) (obj)->namel[ind]

La régle n'est pas respectée dans 6 cas d'aprés Logiscope:
Fichier fsw_params.h : lignes 238, 239, 248, 249, 258, 259

History

#1 - 19/10/2016 03:46 PM - William Recart

Violation are due to use of debug macro to redefine printf() function in file fsw_params.h, see issue 804.
In case of redefining a function, only one parameter is used, no parenthesis (or brackets) are necessary.

Conclusion:
Rule is not considered as violated after analysis due to the fact that macro mentioned as violated consists in macro-functions.

#2 - 09/01/2017 07:59 AM - paul leroy

- Status changed from New to Resolved

#3 - 09/01/2017 08:01 AM - paul leroy

- Priority changed from Normal to Low

#4 - 13/01/2017 04:00 PM - William Recart

Vérification effectuée sur le tag 322 (c0603702c8c8) , il reste en erreur les mémes lignes.
L'issue est considérée close.

#5 - 13/01/2017 04:02 PM - William Recart

- Status changed from Resolved to Closed

#6 - 24/04/2017 12:36 PM - William Recart

Satus on FSW V3.2.0.15 :
- fsw_params.h : lines 17, 18, 27, 28, 37, 38: Violation are due to use of debug macro to redefine printf() function in file fsw_params.h. In case of
redefining a function, only one parameter is used, no parenthesis (or brackets) are necessary.

This is considered as acceptable at LFR level.
